[mythtv-users] Installing alsa-driver 1.0.23 - what did I miss?

Don Brett dlbrett at zoominternet.net
Sun Jul 25 19:09:10 UTC 2010


McCormick, Ronald wrote:
>
>
> On Sun, Jul 25, 2010 at 11:09 AM, Don Brett <dlbrett at zoominternet.net 
> <mailto:dlbrett at zoominternet.net>> wrote:
>
>     Don Brett wrote:
>
>         I'm working on getting audio onto my hdmi output, which
>         requires the latest alsa-driver (1.0.23).  I can't find an
>         rpm, so I'm trying to build and install from source.  It looks
>         pretty straight-forward and it looked like it worked, but
>         alsa-info.sh reports the previous version (1.0.21).  Does this
>         look correct?
>
>         - download alsa-driver source and un-pack
>         (http://www.alsa-project.org/main/index.php/Download)
>         - ./configure
>         --with-kernel=/usr/src/kernels/2.6.32.16-141.fc12.i686
>         - make
>         - make install
>         - ./snddevices
>         - reboot
>
>         When I run "alsa-info.sh", I get:
>
>         !!ALSA Version
>         !!------------
>
>         Driver version:     1.0.21
>         Library version:   Utilities version:  1.0.22
>
>
>         Did I miss a step?  One of the Ubuntu sites ran "sudo
>         /sbin/alsa-utils stop" before running the build.  Maybe I
>         needed to shut it down first?
>
>
>
>
>         PS - ...full alsa-info report posted here:
>         http://www.alsa-project.org/db/?f=1154be82a2f59d3d1276ccdf854e9b21a3e17f85
>
>
>     By the way, this is a new installation of MythDora-12.
>
>
>     _______________________________________________
>     mythtv-users mailing list
>     mythtv-users at mythtv.org <mailto:mythtv-users at mythtv.org>
>     http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-users
>
>
> I use the following for my configure line on F12.
> ./configure --with-build=/lib/modules/`uname -r`/build/ 
> --with-debug=full --enable-dynamic-minors --with-moddir=updates
> then just
> make
> make install
> reboot
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> mythtv-users mailing list
> mythtv-users at mythtv.org
> http://mythtv.org/cgi-bin/mailman/listinfo/mythtv-users
>   
Using your command line, "./configure" gave me an error about the 
source.  I added the source to the end:

./configure --with-build=/lib/modules/`uname -r`/build/ 
--with-debug=full --enable-dynamic-minors --with-moddir=updates 
--with-kernel=/usr/src/kernels/2.6.32.16-141.fc12.i686

...that made ./configure happy.  Make and make install ran fine, then 
reboot and I get:

[root at vanson tmp]# cat /proc/asound/version
Advanced Linux Sound Architecture Driver Version 1.0.21.
[root at vanson tmp]#

This should have worked, but....?  By the way, we only updating the 
driver...could it be reporting the wrong version?



More information about the mythtv-users mailing list